Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultDmppType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultDmppType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultDmppType

extends Object
implements Serializable

Java class for ConsultDmppType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultDmppType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Price" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             <element name="Cheap" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Cheapest" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Reimbursable" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="DeliveryEnvironment" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="CodeType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultDmppType()`

Method Summary
`List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
`String` | `getCode()` Gets the value of the code property.
`String` | `getCodeType()` Gets the value of the codeType property.
`String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`BigDecimal` | `getPrice()` Gets the value of the price property.
`String` | `getProductId()` Gets the value of the productId property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`Boolean` | `isCheap()` Gets the value of the cheap property.
`Boolean` | `isCheapest()` Gets the value of the cheapest property.
`Boolean` | `isReimbursable()` Gets the value of the reimbursable property.
`void` | `setCheap(Boolean value)` Sets the value of the cheap property.
`void` | `setCheapest(Boolean value)` Sets the value of the cheapest property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setCodeType(String value)` Sets the value of the codeType property.
`void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setPrice(BigDecimal value)` Sets the value of the price property.
`void` | `setProductId(String value)` Sets the value of the productId property.
`void` | `setReimbursable(Boolean value)` Sets the value of the reimbursable property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultDmppType

    public ConsultDmppType()

Method Detail

### getPrice

    public BigDecimal getPrice()

  Gets the value of the price property.

  Returns:
    possible object is `BigDecimal`

### setPrice

    public void setPrice(BigDecimal value)

  Sets the value of the price property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### isCheap

    public Boolean isCheap()

  Gets the value of the cheap property.

  Returns:
    possible object is `Boolean`

### setCheap

    public void setCheap(Boolean value)

  Sets the value of the cheap property.

  Parameters:
    `value` - allowed object is `Boolean`

### isCheapest

    public Boolean isCheapest()

  Gets the value of the cheapest property.

  Returns:
    possible object is `Boolean`

### setCheapest

    public void setCheapest(Boolean value)

  Sets the value of the cheapest property.

  Parameters:
    `value` - allowed object is `Boolean`

### isReimbursable

    public Boolean isReimbursable()

  Gets the value of the reimbursable property.

  Returns:
    possible object is `Boolean`

### setReimbursable

    public void setReimbursable(Boolean value)

  Sets the value of the reimbursable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()

  Gets the value of the additionalFields property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

  For example, to add a new item, do as follows:

          getAdditionalFields().add(newItem);

  Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

### getDeliveryEnvironment

    public String getDeliveryEnvironment()

  Gets the value of the deliveryEnvironment property.

  Returns:
    possible object is `String`

### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)

  Sets the value of the deliveryEnvironment property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getCodeType

    public String getCodeType()

  Gets the value of the codeType property.

  Returns:
    possible object is `String`

### setCodeType

    public void setCodeType(String value)

  Sets the value of the codeType property.

  Parameters:
    `value` - allowed object is `String`

### getProductId

    public String getProductId()

  Gets the value of the productId property.

  Returns:
    possible object is `String`

### setProductId

    public void setProductId(String value)

  Sets the value of the productId property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.